package com.yonge.cooleshow.cms.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_config):
 */
public class SysConfig {

	/**  */
	private Long id;
	
	/** 参数名称 */
	@ApiModelProperty(value = "参数名称", required = true)
	private String paramName;
	
	/** 参数值 */
	@ApiModelProperty(value = "参数值", required = true)
	private String paranValue;
	
	/** 描述 */
	@ApiModelProperty(value = "描述", required = true)
	private String description;
	
	/** 创建时间 */
	private java.util.Date createOn;
	
	/** 修改时间 */
	private java.util.Date modifyOn;
	
	@ApiModelProperty(value = "消息组", required = true)
	private String group;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setParamName(String paramName){
		this.paramName = paramName;
	}
	
	public String getParamName(){
		return this.paramName;
	}
			
	public void setParanValue(String paranValue){
		this.paranValue = paranValue;
	}
	
	public String getParanValue(){
		return this.paranValue;
	}

	public <T> T getParanValue(Class<T> cla){
		try {
			return cla.cast(cla.getMethod("valueOf", String.class).invoke(cla.getInterfaces(),this.paranValue));
		} catch (Exception e) {
			return (T)this.paranValue.getClass();
		}
	}
			
	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
			
	public void setCreateOn(java.util.Date createOn){
		this.createOn = createOn;
	}
	
	public java.util.Date getCreateOn(){
		return this.createOn;
	}
			
	public void setModifyOn(java.util.Date modifyOn){
		this.modifyOn = modifyOn;
	}
	
	public java.util.Date getModifyOn(){
		return this.modifyOn;
	}
			
	public String getGroup() {
		return group;
	}

	public void setGroup(String group) {
		this.group = group;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
